#!/bin/bash

# Copyright (C) 2003 Glen Harris <astfgl@iamnota.org>,          
#  
# This program is free software; you can redistribute it and/or modify   
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA

# Extract the mpeg2 video and save it
tcextract -i $1 -x mpeg2 > tmp_$$.m2v

# Extract the mp3 audio and re-encode it to mp2
transcode -i $1 -y null,mp2enc -o tmp_$$

# Multiplex the two together again
mplex -f 8 tmp_$$.m2v tmp_$$.mpa -o $2

# Clean up
rm tmp_$$.m2v tmp_$$.mpa
