#! /bin/sh

THISDIR=$(pwd)

label=$1
shift
modus=$1

dvddir=$label

if [ -z "$modus" ] ; then
	echo "$0 <dvdlabel> [start] | [mpegs of title ..] | [end] | [mkisofs]"
	exit 0
fi

if [ "$modus" == "start" ] ; then
	echo "dvddirgen -o $dvddir -r"
	dvddirgen -o $dvddir -r
	exit 0
fi

if [ "$modus" == "end" ] ; then
	echo "dvdauthor -o $dvddir -T"
	dvdauthor -o $dvddir -T
	exit 0
fi

if [ "$modus" == "mkisofs" ] ; then
	cd $dvddir
	mkisofs -dvd-video -A $label -P VIDEOFAN -p VIDEOFAN \
		-o ../$(basename $dvddir).iso .
	cd $THISDIR
	exit 0
fi

echo "adding new titleset with chapters: $*"

dvdauthor -o $dvddir \
	-c 0,15:00,30:00,45:00,1:00:00,1:15:00,1:30:00,1:45:00,2:00:00,2:15:00,2:30:00,2:45:00 \
	$*


