
##
## WITH vdrcutter2
##

#
# repack the marked recording and create one resulting vob conform file
#
# which will be:
#
#	vdrcutter2 cuts the marked source, which is not cut yet
#
#	demuxed
#
#	requantized with factor 1.5
#
#	muxed requantizized video, and all the audio streams
#
#	delete the temorary files - ALLWAYS
#
#	delete the input files ('cause of 3rd parameter 'true'),
#	if no error occured !! so you do not have to be afraid of
# 	running outta disk space !!
#
#	the resulting mpeg2 PS file would be
#		vobs/FinalFileBaseName1_1.mpg
#	and .. if the size exceeds 2000 Mbytes:
#		vobs/FinalFileBaseName1_2.mpg
#
#
./repackmpeg2.sh FinalFileBaseName1 1.5 true vdrcutter2 \
	/video/A_MOVIE_TITLE/2003-09-28.02:57.50.99.rec \
	cat 

#
# repack the marked recording and create as many vob conform files,
# as many "parts" you have marked !
#
# which will be:
#
#	vdrcutter2 cuts and split the marked source, which is not cut yet
#
#	demuxed
#
#	requantized with factor 1.5
#
#	muxed requantizized video, and all the audio streams
#
#	delete the temorary files - ALLWAYS
#
#	delete the input files ('cause of 3rd parameter 'true'),
#	if no error occured !! so you do not have to be afraid of
# 	running outta disk space !!
#
#	the resulting mpeg2 PS file would be
#		vobs/A_MOVIE_TITLE__2003-09-28.02:57.50.99.rec_001_1.mpg
#			- for marked part 1
#		vobs/A_MOVIE_TITLE__2003-09-28.02:57.50.99.rec_002_1.mpg
#			- for marked part 2
#	and .. if the size exceeds 2000 Mbytes:
#		vobs/A_MOVIE_TITLE__2003-09-28.02:57.50.99.rec_001_2.mpg
#			- for marked part 1
#		vobs/A_MOVIE_TITLE__2003-09-28.02:57.50.99.rec_002_2.mpg
#			- for marked part 2
#
./repackmpeg2.sh FinalFileBaseName1 1.5 true vdrcutter2 \
	/video/A_MOVIE_TITLE/2003-09-28.02:57.50.99.rec \
	split 

#
# repack the input files 001.vdr, 002.vdr and 003.vdr
# which will be:
#
#	demuxed
#
#	no requantization 'cause 2nd parameter is 'no'
#
#	muxed requantizized video, and all the audio streams
#
#	delete the temorary files - ALLWAYS
#
#	DO NOT delete the input files ('cause of 3rd parameter 'no') !
#
#	the resulting mpeg2 PS file would be
#		vobs/FinalFileBaseName2_1.mpg
#	and .. if the size exceeds 2000 Mbytes:
#		vobs/FinalFileBaseName2_2.mpg
#
./repackmpeg2.sh FinalFileBaseName2 no no \
	/video/%A_MOVIE_TITLE_2/2003-09-28.02:57.50.99.rec/001.vdr \
	/video/%A_MOVIE_TITLE_2/2003-09-28.02:57.50.99.rec/002.vdr \
	/video/%A_MOVIE_TITLE_2/2003-09-28.02:57.50.99.rec/003.vdr \


	echo 	out_basename requant_factor delete_input_files input-file1 input_file2
	echo OR
	echo 	out_basename requant_factor delete_input_files vdrcutter2 recording_directory mode
##
## WITHOUT vdrcutter2
##

#
# repack the input files 001.vdr and 002.vdr,
# which will be:
#
#	demuxed
#
#	requantized with factor 1.5
#
#	muxed requantizized video, and all the audio streams
#
#	delete the temorary files - ALLWAYS
#
#	delete the input files ('cause of 3rd parameter 'true'),
#	if no error occured !! so you do not have to be afraid of
# 	running outta disk space !!
#
#	the resulting mpeg2 PS file would be
#		vobs/FinalFileBaseName1_1.mpg
#	and .. if the size exceeds 2000 Mbytes:
#		vobs/FinalFileBaseName1_2.mpg
#
./repackmpeg2.sh FinalFileBaseName1 1.5 true \
	/video/%A_MOVIE_TITLE/2003-09-28.02:57.50.99.rec/001.vdr \
	/video/%A_MOVIE_TITLE/2003-09-28.02:57.50.99.rec/002.vdr \


#
# repack the input files 001.vdr, 002.vdr and 003.vdr
# which will be:
#
#	demuxed
#
#	no requantization 'cause 2nd parameter is 'no'
#
#	muxed requantizized video, and all the audio streams
#
#	delete the temorary files - ALLWAYS
#
#	DO NOT delete the input files ('cause of 3rd parameter 'no') !
#
#	the resulting mpeg2 PS file would be
#		vobs/FinalFileBaseName2_1.mpg
#	and .. if the size exceeds 2000 Mbytes:
#		vobs/FinalFileBaseName2_2.mpg
#
./repackmpeg2.sh FinalFileBaseName2 no no \
	/video/%A_MOVIE_TITLE_2/2003-09-28.02:57.50.99.rec/001.vdr \
	/video/%A_MOVIE_TITLE_2/2003-09-28.02:57.50.99.rec/002.vdr \
	/video/%A_MOVIE_TITLE_2/2003-09-28.02:57.50.99.rec/003.vdr \


#
# now, we will create a DVD Video Image named MY_DVD.iso
#
# well - no menue's are supported with this dummy script at all :-|
#
# any EASY improvements to add a simple title-menue are VERY wellcome !
#

#
# start MY_DVD creation
#
./dodvd MY_DVD start

#
# add Title vobs/FinalFileBaseName1_1.mpg
#
./dodvd MY_DVD vobs/FinalFileBaseName1_1.mpg

#
# add next Title vobs/FinalFileBaseName2_1.mpg
#
./dodvd MY_DVD vobs/FinalFileBaseName2_1.mpg

#
# finalize MY_DVD
#
./dodvd MY_DVD end

#
# make the final burnable MY_DVD iso image
#
./dodvd MY_DVD mkisofs


